Bug 213844 - security/strongswan update to v5.5.1
Summary: security/strongswan update to v5.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-27 23:51 UTC by dewayne
Modified: 2016-11-21 10:44 UTC (History)
3 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
strongswan5.5.1 src/start Makefile.in patch (1.18 KB, patch)
2016-10-27 23:51 UTC, dewayne
no flags Details | Diff
Update to 5.5.1 (5.47 KB, patch)
2016-11-17 17:16 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dewayne 2016-10-27 23:51:18 UTC
Created attachment 176232 [details]
strongswan5.5.1 src/start Makefile.in patch

Built strongswan 5.5.1 on FreeBSD10.3Stable amd64 using libressl and gcc5; and i386 using openssl and gcc5.  starter/Makefile.am patch enclosed.  Please note: not run tested yet (as a long list of ports preceed it)
Comment 1 Renato Botelho freebsd_committer 2016-11-17 17:16:26 UTC
Created attachment 177120 [details]
Update to 5.5.1
Comment 2 strongswan 2016-11-21 09:38:21 UTC
I'm happy with the patch it can be applied to the ports tree.
Comment 3 commit-hook freebsd_committer 2016-11-21 10:44:17 UTC
A commit references this bug:

Author: garga
Date: Mon Nov 21 10:43:46 UTC 2016
New revision: 426700
URL: https://svnweb.freebsd.org/changeset/ports/426700

Log:
  Update security/strongswan to 5.5.1

  PR:		213844
  Approved by:	strongswan@Nanoteq.com (maintainer)
  Obtained from:	pfSense
  Sponsored by:	Rubicon Communications (Netgate)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo
  head/security/strongswan/files/patch-conf_Makefile.in
  head/security/strongswan/files/patch-src_libcharon_plugins_smp_smp.c
  head/security/strongswan/files/patch-src_libstrongswan_plugins_openssl_openssl__plugin.c
  head/security/strongswan/files/patch-src_libstrongswan_utils_utils_byteorder.h
  head/security/strongswan/files/patch-src_starter_Makefile.in
  head/security/strongswan/pkg-plist